[arch-commits] Commit in vconfig/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 19 02:08:56 EDT 2009


    Date: Sunday, April 19, 2009 @ 02:08:56
  Author: eric
Revision: 35974

Merged revisions 356,35973 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/vconfig/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35973 | eric | 2009-04-19 02:08:37 -0400 (Sun, 19 Apr 2009) | 2 lines
  
  upgpkg: vconfig 1.9-2
      Added license, FHS man pages
........

Modified:
  vconfig/repos/extra-x86_64/	(properties)
  vconfig/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)


Property changes on: vconfig/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /vconfig/trunk:1
   + /vconfig/trunk:1-35973

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-19 06:08:37 UTC (rev 35973)
+++ extra-x86_64/PKGBUILD	2009-04-19 06:08:56 UTC (rev 35974)
@@ -2,18 +2,19 @@
 # Maintainer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=vconfig
 pkgver=1.9
-pkgrel=1.1
+pkgrel=2
 pkgdesc="VLAN configuration utility"
 arch=(i686 x86_64)
 url="http://www.candelatech.com/~greear/vlan.html"
+license=('GPL')
 depends=('glibc')
 source=(http://www.candelatech.com/~greear/vlan/vlan.${pkgver}.tar.gz)
 md5sums=('5f0c6060b33956fb16e11a15467dd394')
 
 build() {
-  cd $startdir/src/vlan
-  make clean
+  cd $srcdir/vlan
+  make clean || return 1
   make || return 1
-  install -D -m755 vconfig $startdir/pkg/usr/sbin/vconfig
-  install -D -m644 vconfig.8 $startdir/pkg/usr/man/man8/vconfig.8
+  install -D -m755 vconfig $pkgdir/usr/sbin/vconfig || return 1
+  install -D -m644 vconfig.8 $pkgdir/usr/share/man/man8/vconfig.8 || return 1
 }



More information about the arch-commits mailing list